C3DIOVectorfield Class Reference
Input/output of files

An interface class to wrap a vector field into something, IO plugins can understand. More...

`#include <mia/3d/vfio.hh>`

Inheritance diagram for C3DIOVectorfield:
[legend]
Collaboration diagram for C3DIOVectorfield:
[legend]

## Public Types

typedef C3DFVectorfield | plugin_data
typedef C3DIOVectorfield | type

## Public Member Functions

| C3DIOVectorfield ()
| C3DIOVectorfield (const C3DBounds &_Size)
| C3DIOVectorfield (const C3DFVectorfield &org)
| C3DIOVectorfield (const C3DIOVectorfield &org)
C3DIOVectorfield * | clone () const __attribute__((warn_unused_result))
Public Member Functions inherited from C3DFVectorfield
void | update_as_inverse_of (const C3DFVectorfield &other, float tol, int maxiter)
| evaluate this vector field as the inverse of another
void | update_by_velocity (const C3DFVectorfield &velocity_field, float time_step)
Public Member Functions inherited from T3DVectorfield< C3DFVector >
C3DFVector | get_interpol_val_at (const C3DFVector &p) const
C3DFVector | get_voxel_size () const
void | set_voxel_size (const C3DFVector &voxel)
| T3DVectorfield ()
Public Member Functions inherited from T3DDatafield< C3DFVector >
const_iterator | begin () const
const_iterator | begin_at (size_t x, size_t y, size_t z) const
range_iterator | begin_range (const C3DBounds &begin, const C3DBounds &end)
range_iterator_with_boundary_flag | begin_range_with_boundary_flags (const C3DBounds &begin, const C3DBounds &end)
void | clear ()
const_iterator | end () const
range_iterator | end_range (const C3DBounds &begin, const C3DBounds &end)
range_iterator_with_boundary_flag | end_range_with_boundary_flags (const C3DBounds &begin, const C3DBounds &end)
value_type | get_avg ()
value_type | get_block_avrg (const C3DBounds &Start, const C3DBounds &BlockSize) const
void | get_data_line_x (int y, int z, std::vector< C3DFVector > &buffer) const
void | get_data_line_y (int x, int z, std::vector< C3DFVector > &buffer) const
void | get_data_line_z (int x, int y, std::vector< C3DFVector > &buffer) const
T2DDatafield< C3DFVector > | get_data_plane_xy (size_t z) const
T2DDatafield< C3DFVector > | get_data_plane_xz (size_t y) const
T2DDatafield< C3DFVector > | get_data_plane_yz (size_t x) const
T3DVector< Out > | get_gradient (int hardcode) const
value_type | get_interpol_val_at (const T3DVector< float > &p) const __attribute__((deprecated))
size_t | get_plane_size_xy () const
Range | get_range (const C3DBounds &start, const C3DBounds &end)
const C3DBounds & | get_size () const
bool | holds_unique_data () const __attribute__((deprecated))
void | make_single_ref () __attribute__((deprecated))
void | mask (const TMask &m)
const_reference | operator() (size_t x, size_t y, size_t z) const
T3DDatafield & | operator= (const T3DDatafield &org)
const_reference | operator[] (int i) const
void | put_data_line_x (int y, int z, const std::vector< C3DFVector > &buffer)
void | put_data_line_y (int x, int z, const std::vector< C3DFVector > &buffer)
void | put_data_line_z (int x, int y, const std::vector< C3DFVector > &buffer)
void | put_data_plane_xy (size_t z, const T2DDatafield< C3DFVector > &p)
void | put_data_plane_xz (size_t y, const T2DDatafield< C3DFVector > &p)
void | put_data_plane_yz (size_t x, const T2DDatafield< C3DFVector > &p)
void | read_xslice_flat (size_t x, std::vector< atomic_type > &buffer) const
void | read_yslice_flat (size_t y, std::vector< atomic_type > &buffer) const
void | read_zslice_flat (size_t z, std::vector< atomic_type > &buffer) const
size_type | size () const
value_type | strip_avg ()
void | swap (T3DDatafield &other)
| swap the data ofthis 3DDatafield with another one
| T3DDatafield ()
void | write_xslice_flat (size_t x, const std::vector< atomic_type > &buffer)
void | write_yslice_flat (size_t y, const std::vector< atomic_type > &buffer)
void | write_zslice_flat (size_t z, const std::vector< atomic_type > &buffer)
virtual | ~T3DDatafield ()
| make sure the destructor is virtual
| CAttributedData ()
| CAttributedData (const CAttributedData &org)
| CAttributedData (PAttributeMap attr)
CAttributedData & | operator= (const CAttributedData &org)
| Assignemt operator.
const PAttribute | get_attribute (const std::string &key) const
CAttributeMap::const_iterator | begin_attributes () const
CAttributeMap::const_iterator | end_attributes () const
void | set_attribute (const std::string &key, PAttribute attr)
void | set_attributes (CAttributeMap::const_iterator begin, CAttributeMap::const_iterator end)
void | set_attribute (const std::string &key, const std::string &value)
template<typename T>
void | set_attribute (const std::string &key, const T &value)
void | set_attribute (const std::string &key, const char *value)
const std::string | get_attribute_as_string (const std::string &key) const
| returns the requested attribute as string, returns an empty string if attribute doesn't exist
template<typename T>
const T | get_attribute_as (const std::string &key) const
template<typename T>
const T | get_attribute_as (const std::string &key, T default_value) const
void | delete_attribute (const std::string &key)
bool | has_attribute (const std::string &key) const
void | print (std::ostream &os) const
Public Member Functions inherited from CIOData
const std::string & | get_source_format () const
void | set_source_format (const std::string &format)

## Additional Inherited Members

Static Public Attributes inherited from C3DFVectorfield
static const char * | data_descr

## Detailed Description

An interface class to wrap a vector field into something, IO plugins can understand.

Definition at line 37 of file 3d/vfio.hh.

## Member Typedef Documentation

## plugin_data

typedef C3DFVectorfield C3DIOVectorfield::plugin_data

Definition at line 42 of file 3d/vfio.hh.

## type

typedef C3DIOVectorfield C3DIOVectorfield::type

Definition at line 41 of file 3d/vfio.hh.

## Constructor & Destructor Documentation

## C3DIOVectorfield() [1/4]

C3DIOVectorfield::C3DIOVectorfield | ( |  | ) |

Referenced by C3DIOVectorfield(), and clone().

## C3DIOVectorfield() [2/4]

C3DIOVectorfield::C3DIOVectorfield | ( | const C3DBounds & | _Size | ) |

Constructor to create empty Datafield if given size

## C3DIOVectorfield() [3/4]

C3DIOVectorfield::C3DIOVectorfield | ( | const C3DIOVectorfield & | org | ) |

copy - Constructor

References C3DIOVectorfield().

## C3DIOVectorfield() [4/4]

C3DIOVectorfield::C3DIOVectorfield | ( | const C3DFVectorfield & | org | ) |

copy from normal vectorfield constructor

## Member Function Documentation

## clone()

C3DIOVectorfield * C3DIOVectorfield::clone | ( |  | ) | const

Returns
  a dynamically allocated copy of the IO object

References C3DIOVectorfield().

The documentation for this class was generated from the following file:

- 3d/vfio.hh